import unittest
from my_romannumber import RomanNumber

class TestHaticeOnMe(unittest.TestCase):
    def setUp(self):
        self.converter = RomanNumber()

    def test_single_value(self):
        self.assertEqual(self.converter.convert(1), "I")
        self.assertEqual(self.converter.convert(2), "II")
        self.assertEqual(self.converter.convert(3), "III")
        self.assertEqual(self.converter.convert(4), "IV")
        self.assertEqual(self.converter.convert(5), "V")
        self.assertEqual(self.converter.convert(9), "IX")
        self.assertEqual(self.converter.convert(21), "XXI")
        self.assertEqual(self.converter.convert(50), "L")
        self.assertEqual(self.converter.convert(100), "C")
        self.assertEqual(self.converter.convert(500), "D")
        self.assertEqual(self.converter.convert(1000), "M")
    
    def test_inivalid_numbers(self):
        self.assertEqual(self.converter.convert(6), "")
        self.assertEqual(self.converter.convert(99), "")
        self.assertEqual(self.converter.convert(-1), "")

if __name__ == "__main__":
    unittest.main()
