import unittest
from my_romannumber import RomanNumber


class TestLasseOnMe(unittest.TestCase):
    def setUp(self):
        self.converter = RomanNumber()

    def test_to_roman_basic(self):
        self.assertEqual(self.converter.to_roman(1), "I")
        self.assertEqual(self.converter.to_roman(5), "V")
        self.assertEqual(self.converter.to_roman(10), "X")
        self.assertEqual(self.converter.to_roman(50), "L")
        self.assertEqual(self.converter.to_roman(100), "C")
        self.assertEqual(self.converter.to_roman(500), "D")
        self.assertEqual(self.converter.to_roman(1000), "M")

    def test_to_roman_subtraction(self):
        self.assertEqual(self.converter.to_roman(4), "IV")
        self.assertEqual(self.converter.to_roman(9), "IX")
        self.assertEqual(self.converter.to_roman(40), "XL")
        self.assertEqual(self.converter.to_roman(90), "XC")
        self.assertEqual(self.converter.to_roman(400), "CD")
        self.assertEqual(self.converter.to_roman(900), "CM")

    def test_to_roman_addition(self):
        self.assertEqual(self.converter.to_roman(2), "II")
        self.assertEqual(self.converter.to_roman(3), "III")
        self.assertEqual(self.converter.to_roman(6), "VI")
        self.assertEqual(self.converter.to_roman(8), "VIII")
        self.assertEqual(self.converter.to_roman(30), "XXX")
        self.assertEqual(self.converter.to_roman(80), "LXXX")

    def test_to_roman_mixed(self):
        self.assertEqual(self.converter.to_roman(14), "XIV")
        self.assertEqual(self.converter.to_roman(19), "_

