import unittest
import importlib.util

def load_student_class(path):
    spec = importlib.util.spec_from_file_location("student_module", path)
    student_module = importlib.util.module_from_spec(spec)
    spec.loader.exec_module(student_module)
    return student_module.Converter()

class TestMeOnDaniel(unittest.TestCase):
    def setUp(self):
        self.converter = load_student_class("other/Daniel/RomanNumber.py")

    def test_convert_3(self):
        self.assertEqual(self.converter.convert(3), "III")

    def test_convert_6(self):
        self.assertEqual(self.converter.convert(6), "VI")

    def test_convert_8(self):
        self.assertEqual(self.converter.convert(8), "VIII")

    def test_convert_12(self):
        self.assertEqual(self.converter.convert(12), "XII")

    def test_convert_17(self):
        self.assertEqual(self.converter.convert(17), "XVII")

    def test_convert_29(self):
        self.assertEqual(self.converter.convert(29), "XXIX")

    def test_convert_34(self):
        self.assertEqual(self.converter.convert(34), "XXXIV")

    def test_convert_55(self):
        self.assertEqual(self.converter.convert(55), "LV")

    def test_convert_101(self):
        self.assertEqual(self.converter.convert(101), "CI")

    def test_convert_501(self):
        self.assertEqual(self.converter.convert(501), "DI")

    def test_convert_1003(self):
        self.assertEqual(self.converter.convert(1003), "MIII")

if __name__ == "__main__":
    unittest.main()
