import unittest
import importlib.util


def load_student_class(path):
    spec = importlib.util.spec_from_file_location("student_module", path)
    student_module = importlib.util.module_from_spec(spec)
    spec.loader.exec_module(student_module)
    return student_module.RomanNumerals()

class TestMeOnLasse(unittest.TestCase):
    def setUp(self):
        self.converter = load_student_class("other/Lasse/RomanNumber.py")

    def test_3(self):
        self.assertEqual(self.converter.to_roman(3), "III")

    def test_6(self):
        self.assertEqual(self.converter.to_roman(6), "VI")

    def test_8(self):
        self.assertEqual(self.converter.to_roman(8), "VIII")

    def test_12(self):
        self.assertEqual(self.converter.to_roman(12), "XII")

    def test_17(self):
        self.assertEqual(self.converter.to_roman(17), "XVII")

    def test_29(self):
        self.assertEqual(self.converter.to_roman(29), "XXIX")

    def test_34(self):
        self.assertEqual(self.converter.to_roman(34), "XXXIV")

    def test_55(self):
        self.assertEqual(self.converter.to_roman(55), "LV")

    def test_101(self):
        self.assertEqual(self.converter.to_roman(101), "CI")

    def test_501(self):
        self.assertEqual(self.converter.to_roman(501), "DI")

    def test_1003(self):
        self.assertEqual(self.converter.to_roman(1003), "MIII")

if __name__ == "__main__":
    unittest.main()
