import unittest
import importlib.util

def load_student_convert(path):
    spec = importlib.util.spec_from_file_location("student_module", path)
    student_module = importlib.util.module_from_spec(spec)
    spec.loader.exec_module(student_module)
    return student_module.convert

class TestAliciImplementation(unittest.TestCase):
    def setUp(self):
        self.convert = load_student_convert("other/AliciMuhamed/RomanNumber.py")

    def test_values(self):
        self.assertEqual(self.convert(3), "III")
        self.assertEqual(self.convert(6), "VI")
        self.assertEqual(self.convert(8), "VIII")
        self.assertEqual(self.convert(12), "XII")
        self.assertEqual(self.convert(17), "XVII")
        self.assertEqual(self.convert(29), "XXIX")
        self.assertEqual(self.convert(34), "XXXIV")
        self.assertEqual(self.convert(55), "LV")
        self.assertEqual(self.convert(101), "CI")
        self.assertEqual(self.convert(501), "DI")
        self.assertEqual(self.convert(1003), "MIII")

if __name__ == "__main__":
    unittest.main()
