import unittest
from other.student5.Calculator_combined import StringCalculator #orlando

class TestMeOnStudent5(unittest.TestCase):
    def setUp(self):
        self.calc = StringCalculator()

    def test_ignores_empty_entries(self):
        self.assertEqual(self.calc.add("1,,2"), 3)
        self.assertEqual(self.calc.add(",,1,,2,,"), 3)

    def test_add_multi_char_delimiter(self):
        self.assertEqual(self.calc.add("//[abc]\n4abc5abc6"), 15)

    def test_newlines_mixed_with_commas(self):
        self.assertEqual(self.calc.add("1,2\n3"), 6)

    def test_single_number(self):
        self.assertEqual(self.calc.add("5"), 5)

    def test_custom_delimiters_varied(self):
        self.assertEqual(self.calc.add("//_\n7_8_9"), 24)

    def test_multiple_negatives(self):
        with self.assertRaises(ValueError) as context:
            self.calc.add("-1,-2")
        self.assertIn("negatives not allowed", str(context.exception))

if __name__ == "__main__":
    unittest.main()
