import unittest
import importlib.util

def load_student_class(path):
    spec = importlib.util.spec_from_file_location("student_module", path)
    student_module = importlib.util.module_from_spec(spec)
    spec.loader.exec_module(student_module)
    return student_module.RomanNumber()

class TestMeOnWasili(unittest.TestCase):
    def setUp(self):
        self.converter = load_student_class("other/Wasili/RomanNumber.py")

    def test_values(self):
        
        self.assertEqual(self.converter.convert_int_to_str(3), "")           
        self.assertEqual(self.converter.convert_int_to_str(6), "")           
        self.assertEqual(self.converter.convert_int_to_str(8), "")           
        self.assertEqual(self.converter.convert_int_to_str(12), "")          
        self.assertEqual(self.converter.convert_int_to_str(17), "")          
        self.assertEqual(self.converter.convert_int_to_str(29), "")          
        self.assertEqual(self.converter.convert_int_to_str(34), "")          
        self.assertEqual(self.converter.convert_int_to_str(55), "")          
        self.assertEqual(self.converter.convert_int_to_str(101), "")         
        self.assertEqual(self.converter.convert_int_to_str(501), "")         
        self.assertEqual(self.converter.convert_int_to_str(1003), None)      

if __name__ == "__main__":
    unittest.main()
