import unittest
from my_romannumber import RomanNumber

class TestRomanConverter(unittest.TestCase):
    def setUp(self):
        self.converter = RomanNumber()

    def test_single_digits(self):
        self.assertEqual(self.converter.roman_to_int("I"), 1)
        self.assertEqual(self.converter.roman_to_int("V"), 5)
        self.assertEqual(self.converter.roman_to_int("X"), 10)

    def test_multiple_digits(self):
        self.assertEqual(self.converter.roman_to_int("II"), 2)
        self.assertEqual(self.converter.roman_to_int("XX"), 20)
        self.assertEqual(self.converter.roman_to_int("VI"), 6)

    def test_subtractive_notation(self):
        self.assertEqual(self.converter.roman_to_int("IV"), 4)
        self.assertEqual(self.converter.roman_to_int("IX"), 9)
        self.assertEqual(self.converter.roman_to_int("XL"), 40)
        self.assertEqual(self.converter.roman_to_int("XC"), 90)

    def test_complex_numbers(self):
        self.assertEqual(self.converter.roman_to_int("MCMXCIV"), 1994)
        self.assertEqual(self.converter.roman_to_int("CDXLIV"), 444)

if __name__ == "__main__":
    unittest.main()
