import unittest
from my_romannumber import RomanNumber

class TestWasiliOnMe(unittest.TestCase):
    def setUp(self):
        self.r = RomanNumber()

    def test_convert_1(self):
        self.assertEqual(self.r.convert_int_to_str(1), "I")

    def test_convert_21(self):
        self.assertEqual(self.r.convert_int_to_str(21), "XXI")

    def test_convert_empty(self):
        self.assertEqual(self.r.convert_int_to_str(None), "Fehler: Bitte Zahl eingeben")

    def test_convert_string(self):
        self.assertEqual(self.r.convert_int_to_str("Hello"), "Fehler: Bitte Zahl eingeben")

    def test_convert_downzero(self):
        self.assertEqual(self.r.convert_int_to_str(-5), "Integer muss größer als 0 sein")

    def test_convert_thousand(self):
        self.assertEqual(self.r.convert_int_to_str(1000), "M")

if __name__ == "__main__":
    unittest.main()
